*Procesamiento de Base de Datos DIEA.
*Objetivo:Procesamiento Indice Verde Urbano
*Producto: Indice Verde Urbano
*Modulo:Capitulo II Areas Verdes
*Base de datos: institucion.sav
*Responsable : Daysi Villota
*Fecha de elaboracin: 20 de noviembre de 2013.
*ltima actualizacin:
*Modificado por: 



GET
  FILE='C:\Users\dvillota\Desktop\Procesamiento\Bases\Municipios\IVU\institucionIVU.sav'.



**Recodificacion de valores perdidos para totalizar otras areas verdes.
RECODE ins_are_ver_urb_otr1_tot ins_are_ver_urb_otr2_tot ins_are_ver_urb_otr3_tot 
    ins_are_ver_urb_otr4_tot ins_are_ver_urb_otr5_tot (SYSMIS=0).
EXECUTE.


**Calculo de total de otras areas verdes.
DO IF ( cod_categ1 <> 7 OR  cod_categ2 <> 7 OR  cod_categ3 <> 7 OR  cod_categ4 <> 7 OR  cod_categ5 <> 7  ).
COMPUTE 
area_ver_tot_otr=ins_are_ver_urb_otr1_tot + ins_are_ver_urb_otr2_tot + 
ins_are_ver_urb_otr3_tot +ins_are_ver_urb_otr4_tot +  ins_are_ver_urb_otr5_tot.
VARIABLE LABELS  area_ver_tot_otr 'Total de otras Areas Verdes'.
END IF.
EXECUTE.


**Recodificacion de valores perdidos para totalizar areas verdes en m2.
RECODE ins_are_ver_urb_par ins_are_ver_urb_pla ins_are_ver_urb_jar ins_are_ver_urb_part 
    ins_are_ver_urb_rib ins_are_ver_urb_est ins_are_ver_urb_can area_ver_tot_otr (SYSMIS=0).
EXECUTE.

**Calculo de total de areas verdes.
COMPUTE area_ver_tot_mt=(ins_are_ver_urb_par) +(ins_are_ver_urb_pla) + (ins_are_ver_urb_jar) 
    +(ins_are_ver_urb_part )+(ins_are_ver_urb_rib) +(ins_are_ver_urb_est) + (ins_are_ver_urb_can) + (area_ver_tot_otr).
VARIABLE LABELS  area_ver_tot_mt 'Total de Areas Verdes en Metros Cuadrados'.
EXECUTE.



*Calculo de numero de areas verdes.
DO IF ( ins_are_ver_urb_par <> 0).
COMPUTE 
area_ver_num =1.
ELSE.
COMPUTE 
area_ver_num = 0.
END IF.
EXECUTE.

DO IF (ins_are_ver_urb_can <> 0 ).
COMPUTE 
area_ver_num =  (area_ver_num +1).
END IF.
EXECUTE.

*Calculo de numero de areas verdes otras categorias.
DO IF ( cod_categ1 <> 7 ).
COMPUTE 
area_ver_num_otr =1.
ELSE.
COMPUTE 
area_ver_num_otr = 0.
END IF.
EXECUTE.

DO IF ( cod_categ5 <> 7).
COMPUTE 
area_ver_num_otr =  (area_ver_num_otr +1).
END IF.
EXECUTE.

**Recodificacion de valores perdidos para totalizar areas verdes en m2.
RECODE area_ver_num_otr (SYSMIS=0).
EXECUTE.

**Calculo de total de numero de areas verdes.
COMPUTE area_ver_tot_numero=(area_ver_num) +(area_ver_num_otr).
VARIABLE LABELS area_ver_tot_numero 'Numero Total de Areas Verdes'.
EXECUTE.


**Recodificacion de valores perdidos para totalizar areas verdes en m2.
RECODE area_ver_tot_otr area_ver_tot_mt (SYSMIS=0).
EXECUTE.

**Recodificacion de valores perdidos para totalizar areas verdes en m2.
RECODE area_ver_tot_otr area_ver_tot_mt (0=SYSMIS).
EXECUTE.

* Desagregacion por Provincia.
CTABLES
  /VLABELS VARIABLES=pro_cod ins_are_ver_urb_par ins_are_ver_urb_pla ins_are_ver_urb_jar 
    ins_are_ver_urb_part ins_are_ver_urb_rib ins_are_ver_urb_est ins_are_ver_urb_can area_ver_tot_otr area_ver_tot_mt
    DISPLAY=LABEL
  /TABLE pro_cod [C] BY ins_are_ver_urb_par [S][COUNT F40.0, SUM] + ins_are_ver_urb_pla [COUNT 
    F40.0, SUM] + ins_are_ver_urb_jar [COUNT F40.0, SUM] + ins_are_ver_urb_part [COUNT F40.0, SUM] + 
    ins_are_ver_urb_rib [COUNT F40.0, SUM] + ins_are_ver_urb_est [COUNT F40.0, SUM] + 
    ins_are_ver_urb_can [COUNT F40.0, SUM] + area_ver_tot_otr [COUNT F40.0, SUM] + area_ver_tot_mt [COUNT F40.0, SUM]
  /CATEGORIES VARIABLES=pro_cod ['01', '02', '03', '04', '05', '06', '07', '08', '09', '10', 
    '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24', '90'] 
    EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.


* Desagregacion por Canton.
CTABLES
  /VLABELS VARIABLES=can_cod ins_are_ver_urb_par ins_are_ver_urb_pla ins_are_ver_urb_jar 
    ins_are_ver_urb_part ins_are_ver_urb_rib ins_are_ver_urb_est ins_are_ver_urb_can  area_ver_tot_otr area_ver_tot_mt
    DISPLAY=LABEL
  /TABLE can_cod BY ins_are_ver_urb_par [S][COUNT F40.0, SUM] + ins_are_ver_urb_pla [S][COUNT 
    F40.0, SUM] + ins_are_ver_urb_jar [S][COUNT F40.0, SUM] + ins_are_ver_urb_part [S][COUNT F40.0, 
    SUM] + ins_are_ver_urb_rib [S][COUNT F40.0, SUM] + ins_are_ver_urb_est [S][COUNT F40.0, SUM] + 
    ins_are_ver_urb_can [S][COUNT F40.0, SUM] + area_ver_tot_otr [COUNT F40.0, SUM] + area_ver_tot_mt [COUNT F40.0, SUM]
  /CATEGORIES VARIABLES=can_cod ['0101', '0102', '0103', '0104', '0105', '0106', '0107', '0108', 
    '0109', '0110', '0111', '0112', '0113', '0114', '0115', '0201', '0202', '0203', '0204', '0205', 
    '0206', '0207', '0301', '0302', '0303', '0304', '0305', '0306', '0307', '0401', '0402', '0403', 
    '0404', '0405', '0406', '0501', '0502', '0503', '0504', '0505', '0506', '0507', '0601', '0602', 
    '0603', '0604', '0605', '0606', '0607', '0608', '0609', '0610', '0701', '0702', '0703', '0704', 
    '0705', '0706', '0707', '0708', '0709', '0710', '0711', '0712', '0713', '0714', '0801', '0802', 
    '0803', '0804', '0805', '0806', '0807', '0808', '0901', '0902', '0903', '0904', '0905', '0906', 
    '0907', '0908', '0909', '0910', '0911', '0912', '0913', '0914', '0916', '0918', '0919', '0920', 
    '0921', '0922', '0923', '0924', '0925', '0927', '0928', '1001', '1002', '1003', '1004', '1005', 
    '1006', '1101', '1102', '1103', '1104', '1105', '1106', '1107', '1108', '1109', '1110', '1111', 
    '1112', '1113', '1114', '1115', '1116', '1201', '1202', '1203', '1204', '1205', '1206', '1207', 
    '1208', '1209', '1210', '1211', '1212', '1213', '1301', '1302', '1303', '1304', '1305', '1306', 
    '1307', '1308', '1309', '1310', '1311', '1312', '1313', '1314', '1315', '1316', '1317', '1318', 
    '1319', '1320', '1321', '1322', '1401', '1402', '1403', '1404', '1405', '1406', '1407', '1408', 
    '1409', '1410', '1411', '1412', '1501', '1503', '1504', '1507', '1509', '1601', '1602', '1603', 
    '1604', '1701', '1702', '1703', '1704', '1705', '1707', '1708', '1709', '1801', '1802', '1803', 
    '1804', '1805', '1806', '1807', '1808', '1809', '1901', '1902', '1903', '1904', '1905', '1906', 
    '1907', '1908', '1909', '2001', '2002', '2003', '2101', '2102', '2103', '2104', '2105', '2106', 
    '2107', '2201', '2202', '2203', '2204', '2301', '2401', '2402', '2403', '9001', '9003', '9004'] 
    EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.


**Tabla de Numero de Areas Verdes por Canton y el Area Total en metros cuadrados. 
CTABLES
  /VLABELS VARIABLES=can_cod ins_cod area_ver_tot_numero area_ver_tot_mt DISPLAY=LABEL
  /TABLE can_cod [C] BY ins_cod [S][MEAN] + area_ver_tot_numero [S][MEAN] + area_ver_tot_mt [S][MEAN]
  /CATEGORIES VARIABLES=can_cod ORDER=A KEY=VALUE EMPTY=INCLUDE.


***Matching de archivos para agregar variable de poblacion por canton.
MATCH FILES /FILE=*
  /FILE='C:\Users\Daysi\Desktop\IVU\poblacioncanton.sav'
  /RENAME (CANTON = d0) 
  /BY can_cod
  /DROP= d0.
EXECUTE.

***Matching de archivos para agregar variable de poblacion urbana por canton.
MATCH FILES /FILE=*
  /FILE='C:\Users\Daysi\Desktop\IVU\poblacioncantonurb.sav'
  /RENAME (Poblacion = d0) 
  /BY can_cod
  /DROP= d0.
EXECUTE.

***Calculo de Indice Verde Urbano.
COMPUTE IVU=(area_ver_tot_mt) / (Poblacion).
EXECUTE.

* Indice Verde urbano por canton.
CTABLES
  /VLABELS VARIABLES=can_cod area_ver_tot_mt Poblacion IVU DISPLAY=LABEL
  /TABLE can_cod BY area_ver_tot_mt [MEAN] + Poblacion [MEAN] + IVU [MEAN]
  /CATEGORIES VARIABLES=can_cod ORDER=A KEY=VALUE EMPTY=INCLUDE.

* Indice Verde urbano por provincia y canton por canton.
CTABLES
  /VLABELS VARIABLES=pro_cod can_cod area_ver_tot_mt Poblacion IVU DISPLAY=LABEL
  /TABLE pro_cod [C] > can_cod [C] BY area_ver_tot_mt [S][MEAN] + Poblacion [S][MEAN] + IVU 
    [S][MEAN]
  /CATEGORIES VARIABLES=pro_cod ['01', '02', '03', '04', '05', '06', '07', '08', '09', '10', 
    '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24', '90'] 
    EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=can_cod ['0101', '0102', '0103', '0104', '0105', '0106', '0107', '0108', 
    '0109', '0110', '0111', '0112', '0113', '0114', '0115', '0201', '0202', '0203', '0204', '0205', 
    '0206', '0207', '0301', '0302', '0303', '0304', '0305', '0306', '0307', '0401', '0402', '0403', 
    '0404', '0405', '0406', '0501', '0502', '0503', '0504', '0505', '0506', '0507', '0601', '0602', 
    '0603', '0604', '0605', '0606', '0607', '0608', '0609', '0610', '0701', '0702', '0703', '0704', 
    '0705', '0706', '0707', '0708', '0709', '0710', '0711', '0712', '0713', '0714', '0801', '0802', 
    '0803', '0804', '0805', '0806', '0807', '0808', '0901', '0902', '0903', '0904', '0905', '0906', 
    '0907', '0908', '0909', '0910', '0911', '0912', '0913', '0914', '0916', '0918', '0919', '0920', 
    '0921', '0922', '0923', '0924', '0925', '0927', '0928', '1001', '1002', '1003', '1004', '1005', 
    '1006', '1101', '1102', '1103', '1104', '1105', '1106', '1107', '1108', '1109', '1110', '1111', 
    '1112', '1113', '1114', '1115', '1116', '1201', '1202', '1203', '1204', '1205', '1206', '1207', 
    '1208', '1209', '1210', '1211', '1212', '1213', '1301', '1302', '1303', '1304', '1305', '1306', 
    '1307', '1308', '1309', '1310', '1311', '1312', '1313', '1314', '1315', '1316', '1317', '1318', 
    '1319', '1320', '1321', '1322', '1401', '1402', '1403', '1404', '1405', '1406', '1407', '1408', 
    '1409', '1410', '1411', '1412', '1501', '1503', '1504', '1507', '1509', '1601', '1602', '1603', 
    '1604', '1701', '1702', '1703', '1704', '1705', '1707', '1708', '1709', '1801', '1802', '1803', 
    '1804', '1805', '1806', '1807', '1808', '1809', '1901', '1902', '1903', '1904', '1905', '1906', 
    '1907', '1908', '1909', '2001', '2002', '2003', '2101', '2102', '2103', '2104', '2105', '2106', 
    '2107', '2201', '2202', '2203', '2204', '2301', '2401', '2402', '2403', '9001', '9003', '9004'] 
    EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=pro_cod area_ver_tot_mt Poblacion IVU DISPLAY=LABEL
  /TABLE pro_cod [C] BY area_ver_tot_mt [S][SUM] + Poblacion [S][SUM] + IVU [S][MEAN]
  /CATEGORIES VARIABLES=pro_cod ['01', '02', '03', '04', '05', '06', '07', '08', '09', '10', 
    '11', '12', '13', '14', '15', '16', '17', '18', '19', '20', '21', '22', '23', '24', '90'] 
    EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER.



**Recodificacion Area Verde.
RECODE ins_are_ver_urb_otr1_esp ('AREA VERDE'='Area Verde') ('area verde municipal'='Area '+
    'Verde') ('AREAS VERDES'='Area Verde').
EXECUTE.


***RECODIFICACION  DE OTRAS AREAS VERDES 
Asignacion de 7 codigos establecidos deacuerdo a metodologia.
*Codficacion variable primera.
AUTORECODE VARIABLES=ins_are_ver_urb_otr1_esp 
  /INTO cod_ov1
  /PRINT.

RECODE cod_ov1 (2=3) (3=7) (4=5) (10=1) (11=3) (12=7) (16=7) (17=4) (18=7) (31=1) (32=2) (33=7) 
    (34=6) (42=6) (45=3) (46=7) (49=7) (50=5) (51=7) (52=5) (53=7) (54=3) (57=2) (58=3) (61=2) (62=7) 
    (5 thru 9=3) (13 thru 15=6) (19 thru 21=6) (22 thru 24=7) (25 thru 28=5) (29 thru 30=7) (35 thru 
    36=3) (37 thru 39=2) (40 thru 41=1) (43 thru 44=7) (47 thru 48=6) (55 thru 56=5) (59 thru 60=7) (63 
    thru 64=3) INTO cod_categ1.
VARIABLE LABELS  cod_categ1 'Nombre de Categoria Uno'.
EXECUTE.

*Codficacion variable segunda.
AUTORECODE VARIABLES=ins_are_ver_urb_otr2_esp
  /INTO cod_ov2
  /PRINT.

RECODE cod_ov2 (2=1) (3=7) (4=7) (5=3) (6=7) (7=1) (8=2) (9=3) (10=2) (11=3) (12=7) (13=5) (16=4) (17=6) (27=3) (28=7) (29=2) (30=6) 
    (40=6) (43=2) (44=3) (49=2) 
    (14 thru 15=7) (18 thru 21=7) (22 thru 24=5) (22 thru 24=7) (25 thru 26=7)
    (31 thru 35=2) (36 thru 37=5) (38 thru 39=7) (41 thru 42=5)
    (45 thru 48=7) (50 thru 51=3) INTO cod_categ2.
VARIABLE LABELS  cod_categ2 'Nombre de Categoria Dos'.
EXECUTE.

*Codficacion variable tercera.
AUTORECODE VARIABLES=ins_are_ver_urb_otr3_esp
  /INTO cod_ov3
  /PRINT.

RECODE cod_ov3 (2=3) (3=7) (7=5) (8=4) (11=3) (12=7) (13=3) (14=7) (15=6) (16=2) (17=7) (18=3)  (24=7) (25=5) (26=3)
    (4 thru 6=3) (9 thru 10=5) (19 thru 21=5) (22 thru 23=3) INTO cod_categ3.
VARIABLE LABELS  cod_categ3 'Nombre de Categoria Tres'.
EXECUTE.

*Codficacion variable cuarta.
AUTORECODE VARIABLES=ins_are_ver_urb_otr4_esp
  /INTO cod_ov4
  /PRINT.

RECODE cod_ov4 (2=2) (3=1) (6=5) (9=4) (10=5) (11=7) (12=3) (13=5) (18=3) (19=7) 
    (4 thru 5=3) (7 thru 8=7) (14 thru 17=7) INTO cod_categ4.
VARIABLE LABELS  cod_categ4 'Nombre de Categoria Cuarta'.
EXECUTE.

*Codficacion variable quinta.
AUTORECODE VARIABLES=ins_are_ver_urb_otr5_esp
  /INTO cod_ov5
  /PRINT.

RECODE cod_ov5 (2=7) (5=4) (6=7) (7=2) (8=5) (9=3) (10=7) 
    (3 thru 4=3) INTO cod_categ5.
VARIABLE LABELS  cod_categ5 'Nombre de Categoria Cinco'.
EXECUTE.


.

